package ink.wgink.login.oauth2.server.exceptions;

import org.springframework.security.oauth2.common.exceptions.ClientAuthenticationException;

/**
 * @ClassName: OAuth2ClientMenuException
 * @Description: 单点登录客户端菜单异常
 * @Author: wanggeng
 * @Date: 2022/5/26 17:17
 * @Version: 1.0
 */
public class OAuth2ClientMenuException extends ClientAuthenticationException {


    public OAuth2ClientMenuException(String msg) {
        super(msg);
    }

    @Override
    public int getHttpErrorCode() {
        return 401;
    }

    @Override
    public String getOAuth2ErrorCode() {
        return "menu_error";
    }

}
